uk.gov.hmrc.ct.ct600.v2

# B55

###
Related Docs: class B55 | package v2

#### object B55 extends CorporationTaxCalculator with Calculated[B55, CT600BoxRetriever] with Serializable

Linear Supertypes
Serializable, Serializable, Calculated[B55, CT600BoxRetriever], CorporationTaxCalculator, NumberRounding, CtTypeConverters, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. B55
2. Serializable
3. Serializable
4. Calculated
5. CorporationTaxCalculator
6. NumberRounding
7. CtTypeConverters
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(fieldValueRetriever: CT600BoxRetriever): B55

   Definition Classes
     B55 → Calculated

6. #### def calculateApportionedProfitsChargeableFy1(params: CorporationTaxCalculatorParameters): B44

   Definition Classes
     CorporationTaxCalculator

7. #### def calculateApportionedProfitsChargeableFy2(params: CorporationTaxCalculatorParameters): B54

   Definition Classes
     CorporationTaxCalculator

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

   Definition Classes
     CtTypeConverters

10. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

11. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

12. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

13. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

14. #### def corporationTaxFy1(proRataProfitsChargeable: B44, rateOfTax: B45): B46

    Definition Classes
      CorporationTaxCalculator

15. #### def corporationTaxFy1RoundedHalfDown(corporationTaxFy1: B46): B46R

    Definition Classes
      CorporationTaxCalculator

16. #### def corporationTaxFy2(proRataProfitsChargeable: B54, rateOfTax: B55): B56

    Definition Classes
      CorporationTaxCalculator

17. #### def corporationTaxFy2RoundedHalfUp(corporationTaxFy2: B56): B56R

    Definition Classes
      CorporationTaxCalculator

18. #### def corporationTaxNetOfMrr(corporationTaxFy1: B46, corporationTaxFy2: B56, marginalReliefRate: B64): B65

    Definition Classes
      CorporationTaxCalculator

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalCorporationTaxChargeable(claimingMrr: B42, corporationTaxFy1: B46, corporationTaxFy2: B56, marginalReliefRate: B64): B70

    Definition Classes
      CorporationTaxCalculator

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def financialYear1(accountingPeriod: HmrcAccountingPeriod): Int

    Definition Classes
      CorporationTaxCalculator

24. #### def financialYear2(accountingPeriod: HmrcAccountingPeriod): Option[Int]

    Definition Classes
      CorporationTaxCalculator

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### def rateOfTaxFy1(accountingPeriod: HmrcAccountingPeriod, b37: B37, b42: B42, b39: B39, b38: B38): BigDecimal

    Definition Classes
      CorporationTaxCalculator

32. #### def rateOfTaxFy2(accountingPeriod: HmrcAccountingPeriod, b37: B37, b42: B42, b39: B39, b38: B38): BigDecimal

    Definition Classes
      CorporationTaxCalculator

33. #### def roundedToInt(value: BigDecimal): Int

    Definition Classes
      NumberRounding

34. #### def roundedToIntHalfDown(value: BigDecimal): Int

    Definition Classes
      NumberRounding

35. #### def roundedToIntHalfUp(value: BigDecimal): Int

    Definition Classes
      NumberRounding

36. #### def roundedTwoDecimalPlaces(value: BigDecimal): BigDecimal

    Definition Classes
      NumberRounding

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### def totalCorporationTaxChargeable(corporationTaxFy1: B46, corporationTaxFy2: B56): B63

    Definition Classes
      CorporationTaxCalculator

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Calculated[B55, CT600BoxRetriever]

### Inherited from CorporationTaxCalculator

### Inherited from NumberRounding

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped